Bug 1365851 - python-matplotlib is failing in tests on aarch64
Summary: python-matplotlib is failing in tests on aarch64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-matplotlib
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/matplotlib/matplot...
Whiteboard:
Depends On:
Blocks: ARMTracker PPCTracker
TreeView+ depends on / blocked
 
Reported: 2016-08-10 10:59 UTC by Peter Robinson
Modified: 2019-01-09 12:54 UTC (History)
12 users (show)

Fixed In Version: python-matplotlib-2.0.0-2.fc26.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-16 14:38:20 UTC


Attachments (Terms of Use)

Description Peter Robinson 2016-08-10 10:59:35 UTC
python-matplotlib-1.5.2-0.2.rc2.fc25

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=3665004

It could possibly be due to an assumption about page size (64K vs 4K page sizes). Fedora and RHEL support 64K on aarch64, other distros support 4K


Executing(%check): /bin/sh -e /var/tmp/rpm-tmp.5PdpC5
+ umask 022
+ cd /builddir/build/BUILD
+ cd matplotlib-1.5.2rc2
+ echo 'backend      : TkAgg'
++ getconf _NPROCESSORS_ONLN
+ MPLCONFIGDIR=/builddir/build/BUILD/matplotlib-1.5.2rc2
+ MATPLOTLIBDATA=/builddir/build/BUILDROOT/python-matplotlib-1.5.2-0.2.rc2.fc25.aarch64/usr/share/matplotlib/mpl-data
+ PYTHONPATH=/builddir/build/BUILDROOT/python-matplotlib-1.5.2-0.2.rc2.fc25.aarch64/usr/lib64/python2.7/site-packages
+ xvfb-run -a /usr/bin/python2 tests.py --no-network --processes=8 --process-timeout=300
........KKKKKKKK....K..K...K.......K..K...K....K..........K....K..K......K..............K....K...K....K..K..K..K..K..K........K..K..K..K..K..K..K..K..K..K..K..K..K...K......K..K..K..K..K..K..K..K...........K..K.....K..K..K..K..K..K.....K...K..K....K.......K......K..K..K..K..K..K..K..K......K..K...K..K...K..K..K...K..K..K....K......K..K...K...K...K....K..K..K...K.......................................SSS..........................SSSSS.S......./builddir/build/BUILDROOT/python-matplotlib-1.5.2-0.2.rc2.fc25.aarch64/usr/lib64/python2.7/site-packages/matplotlib/font_manager.py:1288: UserWarning: findfont: Font family [u'sans-serif'] not found. Falling back to Helvetica
  (prop.get_family(), self.defaultFamily[fontext]))
/builddir/build/BUILDROOT/python-matplotlib-1.5.2-0.2.rc2.fc25.aarch64/usr/lib64/python2.7/site-packages/matplotlib/font_manager.py:1298: UserWarning: findfont: Could not match :family=Helvetica:style=normal:variant=normal:weight=400:stretch=normal:size=medium. Returning /builddir/build/BUILD/matplotlib-1.5.2rc2/lib/matplotlib/mpl-data/fonts/afm/pcrbo8a.afm
  UserWarning)
..../builddir/build/BUILDROOT/python-matplotlib-1.5.2-0.2.rc2.fc25.aarch64/usr/lib64/python2.7/site-packages/matplotlib/font_manager.py:1298: UserWarning: findfont: Could not match :family=Helvetica:style=normal:variant=normal:weight=400:stretch=normal:size=large. Returning /builddir/build/BUILD/matplotlib-1.5.2rc2/lib/matplotlib/mpl-data/fonts/afm/pcrbo8a.afm
  UserWarning)
...........K.KKKKKKKKKKK..KKKK.K...K...K.............................................SS...K..K...K...K..K..K..K..K..K..K..K..K...K..K...K.........K..S....K../builddir/build/BUILDROOT/python-matplotlib-1.5.2-0.2.rc2.fc25.aarch64/usr/lib64/python2.7/site-packages/matplotlib/collections.py:360: UserWarning: Collection picker None could not be converted to float
  % self._picker)
......................S.........K................./builddir/build/BUILDROOT/python-matplotlib-1.5.2-0.2.rc2.fc25.aarch64/usr/lib64/python2.7/site-packages/matplotlib/colorbar.py:539: VisibleDeprecationWarning: boolean index did not match indexed array along dimension 0; dimension is 5 but corresponding boolean dimension is 4
  colors = np.asarray(colors)[igood]
................../builddir/build/BUILDROOT/python-matplotlib-1.5.2-0.2.rc2.fc25.aarch64/usr/lib64/python2.7/site-packages/matplotlib/colorbar.py:539: VisibleDeprecationWarning: boolean index did not match indexed array along dimension 0; dimension is 5 but corresponding boolean dimension is 3
  colors = np.asarray(colors)[igood]
.......................................K................................K..K....K..K..K..K.K..K...K..K.K...K.F............................../usr/lib64/python2.7/xml/etree/ElementTree.py:1638: DeprecationWarning: This method of XMLParser is deprecated.  Define doctype() method on the TreeBuilder target.
  DeprecationWarning,
...K...K..K....K...K...K......K....K..K......K......K.............................................................................................................................................................................K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K..K....K..K............K..................K..K...............................................................................K......F..........................................F..........................................F..........................................F..........................................F..........................................F..........................................F..........................................F...........................................................................................................................................................................F.....................................................................................F..........................................F..........................................F..................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................K..................................................................................................................................................................................................................................................................................................K..K..K..K........K..K...K.....K...K.....K.K...K.........
Bad key "���t���i���m���e���z���o���n���e���" on line 1 in
/builddir/build/BUILDROOT/python-matplotlib-1.5.2-0.2.rc2.fc25.aarch64/usr/lib64/python2.7/site-packages/matplotlib/tests/test_utf32_be_rcparams.rc.
You probably need to get an updated matplotlibrc file from
http://github.com/matplotlib/matplotlib/blob/master/matplotlibrc.template
or from the matplotlib source distribution
........................................................................................K.......K.....K..K..K..K..K..K...K....K...K/builddir/build/BUILDROOT/python-matplotlib-1.5.2-0.2.rc2.fc25.aarch64/usr/lib64/python2.7/site-packages/matplotlib/tests/test_streamplot.py:44: MaskedArrayFutureWarning: setting an item on a masked array which has a shared mask will not copy the mask and also change the original mask array in the future.
Check the NumPy 1.11 release notes for more information.
  U[:20, :20] = np.nan
.............K...K..K.....K...K.....K..K.....K......K...........K............K...K..K..K..K..K.......K..K...K.................................................K...K..K........../builddir/build/BUILDROOT/python-matplotlib-1.5.2-0.2.rc2.fc25.aarch64/usr/lib64/python2.7/site-packages/matplotlib/cbook.py:137: MatplotlibDeprecationWarning: The set_color_cycle attribute was deprecated in version 1.5. Use set_prop_cycle instead.
  warnings.warn(message, mplDeprecation, stacklevel=1)
......S...../builddir/build/BUILDROOT/python-matplotlib-1.5.2-0.2.rc2.fc25.aarch64/usr/lib64/python2.7/site-packages/matplotlib/tests/test_labeled_data_unpacking.py:406: RuntimeWarning: Second argument is ambiguous: could be a color spec but is in data. Using as data.
Either rename the entry in data or use three arguments to plot.
  assert_equal(funcy(None, "x", "y1", data=data),
...........K..K..K..K..K..K....K...K..K..K...K....K..K...K...K...
======================================================================
FAIL: matplotlib.tests.test_image.test_cursor_data
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/nose/case.py", line 197, in runTest
    self.test(*self.arg)
  File "/builddir/build/BUILDROOT/python-matplotlib-1.5.2-0.2.rc2.fc25.aarch64/usr/lib64/python2.7/site-packages/matplotlib/testing/decorators.py", line 118, in wrapped_function
    func(*args, **kwargs)
  File "/builddir/build/BUILDROOT/python-matplotlib-1.5.2-0.2.rc2.fc25.aarch64/usr/lib64/python2.7/site-packages/matplotlib/tests/test_image.py", line 192, in test_cursor_data
    assert z is None, "Did not get None, got %d" % z
AssertionError: Did not get None, got 0
======================================================================
FAIL: test_psd_csd_equal (matplotlib.tests.test_mlab.spectral_testcase_Fs4_complex_defaultsided)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILDROOT/python-matplotlib-1.5.2-0.2.rc2.fc25.aarch64/usr/lib64/python2.7/site-packages/matplotlib/tests/test_mlab.py", line 2096, in test_psd_csd_equal
    assert_array_equal(Pxx, Pxy)
  File "/usr/lib64/python2.7/site-packages/numpy/testing/utils.py", line 811, in assert_array_equal
    verbose=verbose, header='Arrays are not equal')
  File "/usr/lib64/python2.7/site-packages/numpy/testing/utils.py", line 737, in assert_array_compare
    raise AssertionError(msg)
AssertionError: 
Arrays are not equal
(mismatch 98.4375%)
 x: array([  6.851587e-11,   5.656909e-11,   6.650227e-11,   1.223443e-10,
         1.294211e-10,   4.895139e-11,   4.816325e-11,   2.429269e-10,
         3.889598e-10,   2.063253e-10,   1.297648e-11,   4.368301e-10,...
 y: array([  6.851587e-11 +0.000000e+00j,   5.656909e-11 -7.521779e-30j,
         6.650227e-11 +3.815069e-29j,   1.223443e-10 +8.121089e-30j,
         1.294211e-10 -5.664577e-29j,   4.895139e-11 +1.171260e-28j,...
======================================================================
FAIL: test_psd_csd_equal (matplotlib.tests.test_mlab.spectral_testcase_Fs4_complex_onesided)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILDROOT/python-matplotlib-1.5.2-0.2.rc2.fc25.aarch64/usr/lib64/python2.7/site-packages/matplotlib/tests/test_mlab.py", line 2096, in test_psd_csd_equal
    assert_array_equal(Pxx, Pxy)
  File "/usr/lib64/python2.7/site-packages/numpy/testing/utils.py", line 811, in assert_array_equal
    verbose=verbose, header='Arrays are not equal')
  File "/usr/lib64/python2.7/site-packages/numpy/testing/utils.py", line 737, in assert_array_compare
    raise AssertionError(msg)
AssertionError: 
Arrays are not equal
(mismatch 96.9230769231%)
 x: array([  6.851587e-11,   1.131382e-10,   1.330045e-10,   2.446886e-10,
         2.588422e-10,   9.790277e-11,   9.632650e-11,   4.858538e-10,
         7.779196e-10,   4.126505e-10,   2.595295e-11,   8.736602e-10,...
 y: array([  6.851587e-11 +0.000000e+00j,   1.131382e-10 +5.414530e-31j,
         1.330045e-10 -2.252263e-28j,   2.446886e-10 -1.512307e-28j,
         2.588422e-10 -5.607124e-29j,   9.790277e-11 -2.958476e-28j,...
======================================================================
FAIL: test_psd_csd_equal (matplotlib.tests.test_mlab.spectral_testcase_Fs4_real_defaultsided)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILDROOT/python-matplotlib-1.5.2-0.2.rc2.fc25.aarch64/usr/lib64/python2.7/site-packages/matplotlib/tests/test_mlab.py", line 2096, in test_psd_csd_equal
    assert_array_equal(Pxx, Pxy)
  File "/usr/lib64/python2.7/site-packages/numpy/testing/utils.py", line 811, in assert_array_equal
    verbose=verbose, header='Arrays are not equal')
  File "/usr/lib64/python2.7/site-packages/numpy/testing/utils.py", line 737, in assert_array_compare
    raise AssertionError(msg)
AssertionError: 
Arrays are not equal
(mismatch 96.9230769231%)
 x: array([  6.851587e-11,   1.131382e-10,   1.330045e-10,   2.446886e-10,
         2.588422e-10,   9.790277e-11,   9.632650e-11,   4.858538e-10,
         7.779196e-10,   4.126505e-10,   2.595295e-11,   8.736602e-10,...
 y: array([  6.851587e-11 +0.000000e+00j,   1.131382e-10 +5.414530e-31j,
         1.330045e-10 -2.252263e-28j,   2.446886e-10 -1.512307e-28j,
         2.588422e-10 -5.607124e-29j,   9.790277e-11 -2.958476e-28j,...
======================================================================
FAIL: test_psd_csd_equal (matplotlib.tests.test_mlab.spectral_testcase_Fs4_real_onesided)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILDROOT/python-matplotlib-1.5.2-0.2.rc2.fc25.aarch64/usr/lib64/python2.7/site-packages/matplotlib/tests/test_mlab.py", line 2096, in test_psd_csd_equal
    assert_array_equal(Pxx, Pxy)
  File "/usr/lib64/python2.7/site-packages/numpy/testing/utils.py", line 811, in assert_array_equal
    verbose=verbose, header='Arrays are not equal')
  File "/usr/lib64/python2.7/site-packages/numpy/testing/utils.py", line 737, in assert_array_compare
    raise AssertionError(msg)
AssertionError: 
Arrays are not equal
(mismatch 96.9230769231%)
 x: array([  6.851587e-11,   1.131382e-10,   1.330045e-10,   2.446886e-10,
         2.588422e-10,   9.790277e-11,   9.632650e-11,   4.858538e-10,
         7.779196e-10,   4.126505e-10,   2.595295e-11,   8.736602e-10,...
 y: array([  6.851587e-11 +0.000000e+00j,   1.131382e-10 +5.414530e-31j,
         1.330045e-10 -2.252263e-28j,   2.446886e-10 -1.512307e-28j,
         2.588422e-10 -5.607124e-29j,   9.790277e-11 -2.958476e-28j,...
======================================================================
FAIL: test_psd_csd_equal (matplotlib.tests.test_mlab.spectral_testcase_Fs4_complex_twosided)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILDROOT/python-matplotlib-1.5.2-0.2.rc2.fc25.aarch64/usr/lib64/python2.7/site-packages/matplotlib/tests/test_mlab.py", line 2096, in test_psd_csd_equal
    assert_array_equal(Pxx, Pxy)
  File "/usr/lib64/python2.7/site-packages/numpy/testing/utils.py", line 811, in assert_array_equal
    verbose=verbose, header='Arrays are not equal')
  File "/usr/lib64/python2.7/site-packages/numpy/testing/utils.py", line 737, in assert_array_compare
    raise AssertionError(msg)
AssertionError: 
Arrays are not equal
(mismatch 98.4375%)
 x: array([  6.851587e-11,   5.656909e-11,   6.650227e-11,   1.223443e-10,
         1.294211e-10,   4.895139e-11,   4.816325e-11,   2.429269e-10,
         3.889598e-10,   2.063253e-10,   1.297648e-11,   4.368301e-10,...
 y: array([  6.851587e-11 +0.000000e+00j,   5.656909e-11 -7.521779e-30j,
         6.650227e-11 +3.815069e-29j,   1.223443e-10 +8.121089e-30j,
         1.294211e-10 -5.664577e-29j,   4.895139e-11 +1.171260e-28j,...
======================================================================
FAIL: test_psd_csd_equal (matplotlib.tests.test_mlab.spectral_testcase_FsAll_complex_onesided)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILDROOT/python-matplotlib-1.5.2-0.2.rc2.fc25.aarch64/usr/lib64/python2.7/site-packages/matplotlib/tests/test_mlab.py", line 2096, in test_psd_csd_equal
    assert_array_equal(Pxx, Pxy)
  File "/usr/lib64/python2.7/site-packages/numpy/testing/utils.py", line 811, in assert_array_equal
    verbose=verbose, header='Arrays are not equal')
  File "/usr/lib64/python2.7/site-packages/numpy/testing/utils.py", line 737, in assert_array_compare
    raise AssertionError(msg)
AssertionError: 
Arrays are not equal
(mismatch 96.9230769231%)
 x: array([  7.203696e-06,   4.624615e-04,   1.539987e-03,   2.218494e-03,
         1.157601e-03,   1.667240e-04,   1.000658e-02,   4.707813e-02,
         9.254057e-02,   2.373157e-02,   1.300382e+00,   1.744418e+02,...
 y: array([  7.203696e-06 +0.000000e+00j,   4.624615e-04 -1.080357e-21j,
         1.539987e-03 +7.529828e-21j,   2.218494e-03 +2.647608e-21j,
         1.157601e-03 +3.916541e-21j,   1.667240e-04 +4.591193e-22j,...
======================================================================
FAIL: test_psd_csd_equal (matplotlib.tests.test_mlab.spectral_testcase_FsAll_complex_defaultsided)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILDROOT/python-matplotlib-1.5.2-0.2.rc2.fc25.aarch64/usr/lib64/python2.7/site-packages/matplotlib/tests/test_mlab.py", line 2096, in test_psd_csd_equal
    assert_array_equal(Pxx, Pxy)
  File "/usr/lib64/python2.7/site-packages/numpy/testing/utils.py", line 811, in assert_array_equal
    verbose=verbose, header='Arrays are not equal')
  File "/usr/lib64/python2.7/site-packages/numpy/testing/utils.py", line 737, in assert_array_compare
    raise AssertionError(msg)
AssertionError: 
Arrays are not equal
(mismatch 98.4375%)
 x: array([  1.084763e-07,   5.947154e-08,   3.894422e-09,   5.098036e-08,
         1.243062e-07,   9.022498e-08,   8.124808e-09,   4.643260e-08,
         1.732248e-07,   1.748687e-07,   3.730256e-08,   3.213152e-08,...
 y: array([  1.084763e-07 +0.000000e+00j,   5.947154e-08 -2.846132e-25j,
         3.894422e-09 -3.678538e-27j,   5.098036e-08 -2.565235e-25j,
         1.243062e-07 -7.234946e-26j,   9.022498e-08 -1.238325e-25j,...
======================================================================
FAIL: test_psd_csd_equal (matplotlib.tests.test_mlab.spectral_testcase_Fs4_real_twosided)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILDROOT/python-matplotlib-1.5.2-0.2.rc2.fc25.aarch64/usr/lib64/python2.7/site-packages/matplotlib/tests/test_mlab.py", line 2096, in test_psd_csd_equal
    assert_array_equal(Pxx, Pxy)
  File "/usr/lib64/python2.7/site-packages/numpy/testing/utils.py", line 811, in assert_array_equal
    verbose=verbose, header='Arrays are not equal')
  File "/usr/lib64/python2.7/site-packages/numpy/testing/utils.py", line 737, in assert_array_compare
    raise AssertionError(msg)
AssertionError: 
Arrays are not equal
(mismatch 98.4375%)
 x: array([  6.851587e-11,   5.656909e-11,   6.650227e-11,   1.223443e-10,
         1.294211e-10,   4.895139e-11,   4.816325e-11,   2.429269e-10,
         3.889598e-10,   2.063253e-10,   1.297648e-11,   4.368301e-10,...
 y: array([  6.851587e-11 +0.000000e+00j,   5.656909e-11 -7.521779e-30j,
         6.650227e-11 +3.815069e-29j,   1.223443e-10 +8.121089e-30j,
         1.294211e-10 -5.664577e-29j,   4.895139e-11 +1.171260e-28j,...
======================================================================
FAIL: test_psd_csd_equal (matplotlib.tests.test_mlab.spectral_testcase_FsAll_complex_twosided)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILDROOT/python-matplotlib-1.5.2-0.2.rc2.fc25.aarch64/usr/lib64/python2.7/site-packages/matplotlib/tests/test_mlab.py", line 2096, in test_psd_csd_equal
    assert_array_equal(Pxx, Pxy)
  File "/usr/lib64/python2.7/site-packages/numpy/testing/utils.py", line 811, in assert_array_equal
    verbose=verbose, header='Arrays are not equal')
  File "/usr/lib64/python2.7/site-packages/numpy/testing/utils.py", line 737, in assert_array_compare
    raise AssertionError(msg)
AssertionError: 
Arrays are not equal
(mismatch 98.4375%)
 x: array([  1.084763e-07,   5.947154e-08,   3.894422e-09,   5.098036e-08,
         1.243062e-07,   9.022498e-08,   8.124808e-09,   4.643260e-08,
         1.732248e-07,   1.748687e-07,   3.730256e-08,   3.213152e-08,...
 y: array([  1.084763e-07 +0.000000e+00j,   5.947154e-08 -2.846132e-25j,
         3.894422e-09 -3.678538e-27j,   5.098036e-08 -2.565235e-25j,
         1.243062e-07 -7.234946e-26j,   9.022498e-08 -1.238325e-25j,...
======================================================================
FAIL: test_psd_csd_equal (matplotlib.tests.test_mlab.spectral_testcase_FsAll_real_defaultsided)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILDROOT/python-matplotlib-1.5.2-0.2.rc2.fc25.aarch64/usr/lib64/python2.7/site-packages/matplotlib/tests/test_mlab.py", line 2096, in test_psd_csd_equal
    assert_array_equal(Pxx, Pxy)
  File "/usr/lib64/python2.7/site-packages/numpy/testing/utils.py", line 811, in assert_array_equal
    verbose=verbose, header='Arrays are not equal')
  File "/usr/lib64/python2.7/site-packages/numpy/testing/utils.py", line 737, in assert_array_compare
    raise AssertionError(msg)
AssertionError: 
Arrays are not equal
(mismatch 96.9230769231%)
 x: array([  7.203696e-06,   4.624615e-04,   1.539987e-03,   2.218494e-03,
         1.157601e-03,   1.667240e-04,   1.000658e-02,   4.707813e-02,
         9.254057e-02,   2.373157e-02,   1.300382e+00,   1.744418e+02,...
 y: array([  7.203696e-06 +0.000000e+00j,   4.624615e-04 -1.080357e-21j,
         1.539987e-03 +7.529828e-21j,   2.218494e-03 +2.647608e-21j,
         1.157601e-03 +3.916541e-21j,   1.667240e-04 +4.591193e-22j,...
======================================================================
FAIL: test_psd_csd_equal (matplotlib.tests.test_mlab.spectral_testcase_FsAll_real_onesided)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILDROOT/python-matplotlib-1.5.2-0.2.rc2.fc25.aarch64/usr/lib64/python2.7/site-packages/matplotlib/tests/test_mlab.py", line 2096, in test_psd_csd_equal
    assert_array_equal(Pxx, Pxy)
  File "/usr/lib64/python2.7/site-packages/numpy/testing/utils.py", line 811, in assert_array_equal
    verbose=verbose, header='Arrays are not equal')
  File "/usr/lib64/python2.7/site-packages/numpy/testing/utils.py", line 737, in assert_array_compare
    raise AssertionError(msg)
AssertionError: 
Arrays are not equal
(mismatch 96.9230769231%)
 x: array([  7.203696e-06,   4.624615e-04,   1.539987e-03,   2.218494e-03,
         1.157601e-03,   1.667240e-04,   1.000658e-02,   4.707813e-02,
         9.254057e-02,   2.373157e-02,   1.300382e+00,   1.744418e+02,...
 y: array([  7.203696e-06 +0.000000e+00j,   4.624615e-04 -1.080357e-21j,
         1.539987e-03 +7.529828e-21j,   2.218494e-03 +2.647608e-21j,
         1.157601e-03 +3.916541e-21j,   1.667240e-04 +4.591193e-22j,...
======================================================================
FAIL: test_psd_csd_equal (matplotlib.tests.test_mlab.spectral_testcase_FsAll_real_twosided)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILDROOT/python-matplotlib-1.5.2-0.2.rc2.fc25.aarch64/usr/lib64/python2.7/site-packages/matplotlib/tests/test_mlab.py", line 2096, in test_psd_csd_equal
    assert_array_equal(Pxx, Pxy)
  File "/usr/lib64/python2.7/site-packages/numpy/testing/utils.py", line 811, in assert_array_equal
    verbose=verbose, header='Arrays are not equal')
  File "/usr/lib64/python2.7/site-packages/numpy/testing/utils.py", line 737, in assert_array_compare
    raise AssertionError(msg)
AssertionError: 
Arrays are not equal
(mismatch 98.4375%)
 x: array([  1.084763e-07,   5.947154e-08,   3.894422e-09,   5.098036e-08,
         1.243062e-07,   9.022498e-08,   8.124808e-09,   4.643260e-08,
         1.732248e-07,   1.748687e-07,   3.730256e-08,   3.213152e-08,...
 y: array([  1.084763e-07 +0.000000e+00j,   5.947154e-08 -2.846132e-25j,
         3.894422e-09 -3.678538e-27j,   5.098036e-08 -2.565235e-25j,
         1.243062e-07 -7.234946e-26j,   9.022498e-08 -1.238325e-25j,...
----------------------------------------------------------------------
Ran 5200 tests in 170.338s
FAILED (KNOWNFAIL=453, SKIP=14, failures=13)
error: Bad exit status from /var/tmp/rpm-tmp.5PdpC5 (%check)
    Bad exit status from /var/tmp/rpm-tmp.5PdpC5 (%check)
RPM build errors:
Child return code was: 1
EXCEPTION: [Error()]
Traceback (most recent call last):
  File "/usr/lib/python3.5/site-packages/mockbuild/trace_decorator.py", line 88, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.5/site-packages/mockbuild/util.py", line 551, in do
    raise exception.Error("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
mockbuild.exception.Error: Command failed. See logs for output.

Comment 1 Thomas Spura 2016-09-19 18:28:38 UTC
(In reply to Peter Robinson from comment #0)
> python-matplotlib-1.5.2-0.2.rc2.fc25
> 
> http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=3665004
> 
> It could possibly be due to an assumption about page size (64K vs 4K page
> sizes). Fedora and RHEL support 64K on aarch64, other distros support 4K

This is reported upstream to also fail on debian arm64 in the same way:
https://github.com/matplotlib/matplotlib/issues/5256

Comment 2 Dominik 'Rathann' Mierzejewski 2016-09-22 10:59:27 UTC
Actually I reported a new issue, specific to 2.0.0b4 which I'm working on right now.

Comment 3 Fedora End Of Life 2017-02-28 10:05:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 4 Ngo Than 2017-04-04 12:19:29 UTC
it's fixed in  python-matplotlib-2.0.0-2.fc26.2.

https://koji.fedoraproject.org/koji/buildinfo?buildID=866604

Comment 5 Fedora Update System 2017-04-05 09:38:11 UTC
python-matplotlib-2.0.0-2.fc26.2 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4732cdfecb

Comment 6 Fedora Update System 2017-04-05 21:55:37 UTC
python-matplotlib-2.0.0-2.fc26.2 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4732cdfecb

Comment 7 Fedora Update System 2017-04-16 14:38:20 UTC
python-matplotlib-2.0.0-2.fc26.2 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.